Package docking.wizard

# Interface MagePanel<T>

All Superinterfaces:
  `WizardPanel`

All Known Implementing Classes:
  `AbstractMageJPanel`

public interface MagePanel<T> extends WizardPanel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDependencies(WizardState<T> state)`
  `void`
  `dispose()`
  Called when the wizard is cancelled or otherwise finished being shown
  `void`
  `enterPanel(WizardState<T> state)`
  Enter panel for real; take your state from the state object and then populate your external state accordingly.
  `WizardPanelDisplayability`
  `getPanelDisplayabilityAndUpdateState(WizardState<T> state)`
  Enter and leave panel for pretend; take your state from the state object and then add whatever state you need into it to pretend finish the wizard (if possible).
  `void`
  `leavePanel(WizardState<T> state)`
  Leave panel for real; inject your external state into the state object.
  `void`
  `updateStateObjectWithPanelInfo(WizardState<T> state)`
  Updates the state object, being passed as a parameter, with the current state information from this panel.

  ### Methods inherited from interface docking.wizard.WizardPanel

  `addWizardPanelListener, getDefaultFocusComponent, getHelpLocation, getPanel, getTitle, initialize, isValidInformation, removeWizardPanelListener`

- ## Method Details

  - ### addDependencies

    void addDependencies(WizardState<T> state)

  - ### getPanelDisplayabilityAndUpdateState

    WizardPanelDisplayability getPanelDisplayabilityAndUpdateState(WizardState<T> state)
    Enter and leave panel for pretend; take your state from the state object and then add whatever state you need into it to pretend finish the wizard (if possible). Return whether you must, can, or should not be displayed.
    Parameters:
      `state` - the state object
    Returns:
      displayability

  - ### enterPanel

    void enterPanel(WizardState<T> state) throws IllegalPanelStateException
    Enter panel for real; take your state from the state object and then populate your external state accordingly.
    Parameters:
      `state` - the state object
    Throws:
      `IllegalPanelStateException` - indicates that something bad has happened and we should return to the very first panel - unless we are the first panel in which case we should abort the wizard.

  - ### leavePanel

    void leavePanel(WizardState<T> state)
    Leave panel for real; inject your external state into the state object.
    Parameters:
      `state` - the state object

  - ### updateStateObjectWithPanelInfo

    void updateStateObjectWithPanelInfo(WizardState<T> state)
    Updates the state object, being passed as a parameter, with the current state information from this panel. Only state information that the panel is intended to set should be modified within the state object by this method. For example, a summary panel might display state information, but doesn't set it and therefore wouldn't change it in the state object.
    Parameters:
      `state` - the state object to update

  - ### dispose

    void dispose()
    Called when the wizard is cancelled or otherwise finished being shown